> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> API Reference Version 3

<Note>
  Welcome to Captain Data API v3, which allows you to automate actions, retrieve
  jobs (runs), access results, and manage users and their accounts. If you
  encounter any issues using this API, feel free to reach out at
  [support@captaindata.com](mailto:support@captaindata.com).
</Note>

If you're new to Captain Data, we recommend reviewing the following resources before diving into the API:

* [Quickstart](/v3/quickstart) – A brief overview of how to use the API.
* [Core Concepts](/v3/core-concepts) – A description of core objects and how to interact with them.

## Authentication

To authorize requests, you need to add the following headers to all API requests:

* `Authorization: x-api-key <your_api_key>`
* `x-project-id: YOUR_WORKSPACE_UID`

Here’s an example of a request to the API:

```bash
curl --location 'https://api.captaindata.co/v3/workspace' \
--header 'Authorization: x-api-key <your_api_key>' \
--header 'x-project-id: YOUR_WORKSPACE_UID'
```

All subsequent examples will use these two headers as part of the request.

To get your workspace's UID and API key, go to [Workspace's Settings](https://app.captaindata.co/settings) and copy the appropriate values.

## Playground

Each API endpoint has an interactive playground where you can test requests directly.

Additionally, in our UI, when working within a workflow, you’ll find a pre-generated cURL command to launch the workflow along with the appropriate payload body.
